Hiiilfe weiss den keiner was zum GetCapabilities Problem

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Hiiilfe weiss den keiner was zum GetCapabilities Problem

Michael Pfeiffer-2

Hallo Mapbenders,

jetzt versuch ichs nochmal mit einem auffaelligeren Subject vielleicht war das andere ja (Capabilities Hochladen klappt nicht) ja zu einfach.

Ich komme in der unten beschriebenen Thematik einfach nicht weiter. Es klappt alles im Mapbender, d.h die Datenbank ist da!! Ich hab auch mal voller Hoffnung die neue Version heute versucht mit SQL (ohne irgendwelche Eintraege fuer Postgres), ich krieg die WMS einfach nicht hochgeladen und auch in die Datenbank wird nichts eingetragen.

Gibts denn keinen der eine Loesung weiss oder wenigstens eine Vermutung hat???

Interessant auch noch die Tatsache, dass wenn ich das Modul php_pgsql.php zuschalte (nur dann) und die mapbender_setup.php im Browser aufrufe die mapbender.conf ueberschrieben wird und nur noch

<?php
$login='http://localhost/mapbender_2_2_0/frames/login.php';
?>

uebrigbleibt. Auch das kann ich mir nicht erklaeren!!

Hier nochmal der bisherige Text aus dem Thread Capabilities Hochladen klappt nicht:

 

<Hallo Liste!
<Michael: danke für die Antwort. Ich dachte schon, ich wäre der Einzige,
<der das Problem hat.
<Mittlerweile habe ich versucht, das Ganze noch ein bisschen einzugrenzen:
<Beim hochladen des WMS wird bei mir in der Datenbank in der Tabelle wms 
<tatsächlich ein neuer wms angelegt, mit einer bestimmten wms_id (bspw. 23).
<In allen anderen Tabellen, stimmt diese Id dann aber nicht mehr - hier
<wird überall die Id bzw. fkey_wms_id von dem Germany WMS vergeben (bei mir:
<893), obwohl die richtigen Eintragungen für den hochgeladenen WMS in die
<Datenbank geschrieben werden.
<Ich habe mal versucht, die ID's von Hand anzupassen und das klappt tatsächlich. 
<Aber richtig kann die Vorgehensweise ja nicht sein ;-)))
<
<Also, falls jemand eine Idee hat, woran das liegen kann...
<Viele Grüße
<Marcus

<<----Ursprüngliche Nachricht----
<<Von: [hidden email]
<<Datum: Nov 23, 2005 5:22:27 PM
<<An: [hidden email]
<<Betreff: [Mapbender-users] AW:Capabilities Hochladen klappt nicht

<<Hallo Liste,  mich wuerde auch mal interessieren woran das liegen kann, ich
<<habe naemlich mittlerweile das gleiche Problem. Eigentlich dachte ich ja
<<ueber das Stadium sei ich raus...na ja. Der Load Capabilities Befehl passt
<<bei mir 100 %ig im Mapbender 2.1 funktionierts naemlich. Auch in der Version
<<2.2 habe ich schon WMS-Dienste hochgeladen, doch seit gestern abend geht
<<das Ganze nicht mehr. Verbindung zur Datenbank scheint da zu sein. Einloggen,
<<GUI erzeugen, alles in Ordnung. Ich habe die Vermutung, dass das Ganze mit
<<Postgre/ PostGis zusammenhaengt. Seitdem ich die Verbindung zur PostGis
<<Datenbank hergestellt habe gibts Probleme mit dem Hochladen. Sowohl mit
<<der SQL 4-Datenbank als auch mit der Postgre 8 klappts jetzt nicht mehr.
<<Auch in die Datenbank wird nichts eingetragen.  Hier mal die Anzeige die
<<kommt, wenn ich versuche Capabilities hochzuladen: 

<<file: http://lj1.kl.intra.arcadis.de/cgi-bin/mapserv.exe?map=C:/www/PostGis/Test.map&REQUEST=GetCapabilities&SERVICE=wms&VERSION=1.1.1

<<So siehts aus, wenn ich absichtlich eine falsche Eingabe mache (auch anders als normal):  file: http://lj1.kl.intra.arcadis.de/cgi-bin/mapserv.exe?map=C:
<</www/PostGis/Testw.map&REQUEST=GetCapabilities&SERVICE=wms&VERSION=1.1.1id:
<<id_d41d8c
<<version:
<<title: MapServer Message
<<abstract:
<<maprequest:
<<capabilitiesrequest:
<<featureinforequest:
<<gui_wms_mapformat:
<<gui_wms_featureinfoformat:
<<gui_wms_exceptionformat:
<<gui_wms_epsg:
<<wms_srs:
<<gui_wms_visible: 1
<<id: parent: name: title: queryable: 0 minScale: 0 maxScale: 0
<<dataurl:
<<metadataurl: layerstyle:  

<<Im uebrigen habe ich anschließend auch jede
<<Menge "Germany Layer" in meiner GUI, genau wie Markus.  Woran liegts?

<<Ich bin echt ratlos mittlerweile. 

<<Gruesse  Michael 

<<Umgebung:MB 22, Postgre 8.0.1 inkl. PostGis bzw. Mysql 4.1, PHP 5.0.5, Mapserver 4.6, Apache 2.0.55

<<<From:
<<<Capabilities Hochladen klappt nicht 
<<<2005-11-13 11:21
<<<Hallo Liste! Wir haben gerade Mapbender 2.2. installiert und eigentlich
<<<klappt auch alles ganz super, nur Capabilities Hochladen geht nicht richtig,
<<<obwohl in der php.ini allow_url_fopen auf „on“ gestellt ist. Allerdings
<<<klappt es auch mit lokalen im Mapserver bereitgestellten WMS nicht. Wenn
<<<man eine GUI auswählt und die Capabilities hochläd, erscheint auch die (meiner
<<<Meinung nach richtige) Anzeige des Files. Es kommt auch keine Fehlermeldung.
<<<Guckt man dann aber in der GUI nach, welche WMS zur Verfügung stehen, erscheint
<<<dort der WMS Germany – egal welchen WMS man eigentlich hochladen wollte.
<<<Mit der Folge, dass man nach ein paar Versuchen 5mal den WMS Germany hat,
<<<aber nicht den WMS, den man haben wollte. Mapbender läuft in folgender Umgebung:
<<<PsostgreSQl 8.0 mit Postgis-Erweiterung Mapserver4.4 und Apache 2.0.55 auf
<<<Windows2000 Vielen Dank für die Hilfe Marcus
------------------------------------------------------- This SF.net email
is sponsored by: Splunk Inc. Do you grep through log files for problems?
Stop! Download the new AJAX search engine that makes searching your log
files as easy as surfing the web. DOWNLOAD SPLUNK! http://ads.osdn.com/?
ad_id=7637&alloc_id=16865&op=click _______________________________________________
Mapbender-users mailing list [hidden email] https:
//lists.sourceforge.net/lists/listinfo/mapbender-users

Reply | Threaded
Open this post in threaded view
|

Re: Hiiilfe weiss den keiner was zum GetCapabilities Problem

Uli Rothstein
Hallo,
vermutlich waren die fehlenden Angaben zu den Sequenzen in Postgres die
Ursache für diesen Fehler.
Auf Sourceforge steht nun eine neue Version, in der dieses Problem
behoben ist. Neben kleinen Änderungen in den Skripten ist es vor allem
wichtig, beim Dump der Daten die Sequenzen mit einzuspielen.
Dazu im Wiki:
http://www.mapbender.org/index.php/Installation#PostgreSQL_Datenbank

Viele Grüße
Uli Rothstein


Michael Pfeiffer schrieb:

> Hallo Mapbenders,
>
> jetzt versuch ichs nochmal mit einem auffaelligeren Subject vielleicht
> war das andere ja (Capabilities Hochladen klappt nicht) ja zu einfach.
>
> Ich komme in der unten beschriebenen Thematik einfach nicht weiter. Es
> klappt alles im Mapbender, d.h die Datenbank ist da!! Ich hab auch mal
> voller Hoffnung die neue Version heute versucht mit SQL (ohne
> irgendwelche Eintraege fuer Postgres), ich krieg die WMS einfach nicht
> hochgeladen und auch in die Datenbank wird nichts eingetragen.
>
> Gibts denn keinen der eine Loesung weiss oder wenigstens eine Vermutung
> hat???
>
> Interessant auch noch die Tatsache, dass wenn ich das Modul
> php_pgsql.php zuschalte (nur dann) und die mapbender_setup.php im
> Browser aufrufe die mapbender.conf ueberschrieben wird und nur noch
>
> <?php
> $login='http://localhost/mapbender_2_2_0/frames/login.php';
> ?>
>
> uebrigbleibt. Auch das kann ich mir nicht erklaeren!!
>
> Hier nochmal der bisherige Text aus dem Thread *Capabilities Hochladen
> klappt nicht*:
>
>  
>
> <Hallo Liste!
> <Michael: danke für die Antwort. Ich dachte schon, ich wäre der Einzige,
> <der das Problem hat.
> <Mittlerweile habe ich versucht, das Ganze noch ein bisschen einzugrenzen:
> <Beim hochladen des WMS wird bei mir in der Datenbank in der Tabelle wms
> <tatsächlich ein neuer wms angelegt, mit einer bestimmten wms_id (bspw. 23).
> <In allen anderen Tabellen, stimmt diese Id dann aber nicht mehr - hier
> <wird überall die Id bzw. fkey_wms_id von dem Germany WMS vergeben (bei
> mir:
> <893), obwohl die richtigen Eintragungen für den hochgeladenen WMS in die
> <Datenbank geschrieben werden.
> <Ich habe mal versucht, die ID's von Hand anzupassen und das klappt
> tatsächlich.
> <Aber richtig kann die Vorgehensweise ja nicht sein ;-)))
> <
> <Also, falls jemand eine Idee hat, woran das liegen kann...
> <Viele Grüße
> <Marcus
>
> <<----Ursprüngliche Nachricht----
> <<Von: [hidden email]
> <<Datum: Nov 23, 2005 5:22:27 PM
> <<An: [hidden email]
> <<Betreff: [Mapbender-users] AW:Capabilities Hochladen klappt nicht
>
> <<Hallo Liste,  mich wuerde auch mal interessieren woran das liegen
> kann, ich
> <<habe naemlich mittlerweile das gleiche Problem. Eigentlich dachte ich ja
> <<ueber das Stadium sei ich raus...na ja. Der Load Capabilities Befehl
> passt
> <<bei mir 100 %ig im Mapbender 2.1 funktionierts naemlich. Auch in der
> Version
> <<2.2 habe ich schon WMS-Dienste hochgeladen, doch seit gestern abend geht
> <<das Ganze nicht mehr. Verbindung zur Datenbank scheint da zu sein.
> Einloggen,
> <<GUI erzeugen, alles in Ordnung. Ich habe die Vermutung, dass das Ganze
> mit
> <<Postgre/ PostGis zusammenhaengt. Seitdem ich die Verbindung zur PostGis
> <<Datenbank hergestellt habe gibts Probleme mit dem Hochladen. Sowohl mit
> <<der SQL 4-Datenbank als auch mit der Postgre 8 klappts jetzt nicht mehr.
> <<Auch in die Datenbank wird nichts eingetragen.  Hier mal die Anzeige die
> <<kommt, wenn ich versuche Capabilities hochzuladen:
>
> <<file:
> http://lj1.kl.intra.arcadis.de/cgi-bin/mapserv.exe?map=C:/www/PostGis/Test.map&REQUEST=GetCapabilities&SERVICE=wms&VERSION=1.1.1 
> <http://lj1.kl.intra.arcadis.de/cgi-bin/mapserv.exe?map=C:/www/PostGis/Test.map&REQUEST=GetCapabilities&SERVICE=wms&VERSION=1.1.1>
>
> <<So siehts aus, wenn ich absichtlich eine falsche Eingabe mache (auch
> anders als normal):  file:
> http://lj1.kl.intra.arcadis.de/cgi-bin/mapserv.exe?map=C:
> <</www/PostGis/Testw.map&REQUEST=GetCapabilities&SERVICE=wms&VERSION=1.1.1id:
>
> <<id_d41d8c
> <<version:
> <<title: MapServer Message
> <<abstract:
> <<maprequest:
> <<capabilitiesrequest:
> <<featureinforequest:
> <<gui_wms_mapformat:
> <<gui_wms_featureinfoformat:
> <<gui_wms_exceptionformat:
> <<gui_wms_epsg:
> <<wms_srs:
> <<gui_wms_visible: 1
> <<id: parent: name: title: queryable: 0 minScale: 0 maxScale: 0
> <<dataurl:
> <<metadataurl: layerstyle:  
>
> <<Im uebrigen habe ich anschließend auch jede
> <<Menge "Germany Layer" in meiner GUI, genau wie Markus.  Woran liegts?
>
> <<Ich bin echt ratlos mittlerweile.
>
> <<Gruesse  Michael
>
> <<Umgebung:MB 22, Postgre 8.0.1 inkl. PostGis bzw. Mysql 4.1, PHP 5.0.5,
> Mapserver 4.6, Apache 2.0.55
>
> <<<From:
> <<<Capabilities Hochladen klappt nicht
> <<<2005-11-13 11:21
> <<<Hallo Liste! Wir haben gerade Mapbender 2.2. installiert und eigentlich
> <<<klappt auch alles ganz super, nur Capabilities Hochladen geht nicht
> richtig,
> <<<obwohl in der php.ini allow_url_fopen auf „on“ gestellt ist. Allerdings
> <<<klappt es auch mit lokalen im Mapserver bereitgestellten WMS nicht. Wenn
> <<<man eine GUI auswählt und die Capabilities hochläd, erscheint auch
> die (meiner
> <<<Meinung nach richtige) Anzeige des Files. Es kommt auch keine
> Fehlermeldung.
> <<<Guckt man dann aber in der GUI nach, welche WMS zur Verfügung stehen,
> erscheint
> <<<dort der WMS Germany – egal welchen WMS man eigentlich hochladen wollte.
> <<<Mit der Folge, dass man nach ein paar Versuchen 5mal den WMS Germany
> hat,
> <<<aber nicht den WMS, den man haben wollte. Mapbender läuft in
> folgender Umgebung:
> <<<PsostgreSQl 8.0 mit Postgis-Erweiterung Mapserver4.4 und Apache
> 2.0.55 auf
> <<<Windows2000 Vielen Dank für die Hilfe Marcus
> ------------------------------------------------------- This SF.net email
> is sponsored by: Splunk Inc. Do you grep through log files for problems?
> Stop! Download the new AJAX search engine that makes searching your log
> files as easy as surfing the web. DOWNLOAD SPLUNK! http://ads.osdn.com/?
> ad_id=7637&alloc_id=16865&op=click
> _______________________________________________
> Mapbender-users mailing list [hidden email] https:
> //lists.sourceforge.net/lists/listinfo/mapbender-users
>


--
--------------------------------
        Ulrich Rothstein
          CCGIS GbR
        Siemensstraße 8
         53121 Bonn
           GERMANY
--------------------------------

   [hidden email]
        www.ccgis.de
    www.mapbender.org
--------------------------------
Zentrale:  ++49 (0) 228 90826  0
Durchwahl: ++49 (0) 228 90826 17
Fax:       ++49 (0) 228 90826 11
--------------------------------


-------------------------------------------------------
This SF.net email is sponsored by: Splunk Inc. Do you grep through log files
for problems?  Stop!  Download the new AJAX search engine that makes
searching your log files as easy as surfing the  web.  DOWNLOAD SPLUNK!
http://ads.osdn.com/?ad_id=7637&alloc_id=16865&op=click
_______________________________________________
Mapbender-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/mapbender-users
Reply | Threaded
Open this post in threaded view
|

Re: Hiiilfe weiss den keiner was zum GetCapabilities Problem

Astrid Emde
In reply to this post by Michael Pfeiffer-2
Michael Pfeiffer schrieb:

> Hallo Mapbenders,
>
> jetzt versuch ichs nochmal mit einem auffaelligeren Subject vielleicht
> war das andere ja (Capabilities Hochladen klappt nicht) ja zu einfach.
>
> Ich komme in der unten beschriebenen Thematik einfach nicht weiter. Es
> klappt alles im Mapbender, d.h die Datenbank ist da!! Ich hab auch mal
> voller Hoffnung die neue Version heute versucht mit SQL (ohne
> irgendwelche Eintraege fuer Postgres), ich krieg die WMS einfach nicht
> hochgeladen und auch in die Datenbank wird nichts eingetragen.
>
> Gibts denn keinen der eine Loesung weiss oder wenigstens eine Vermutung
> hat???
>
> Interessant auch noch die Tatsache, dass wenn ich das Modul
> php_pgsql.php zuschalte (nur dann) und die mapbender_setup.php im
> Browser aufrufe die mapbender.conf ueberschrieben wird und nur noch
>
> <?php
> $login='http://localhost/mapbender_2_2_0/frames/login.php';
> ?>
>
> uebrigbleibt. Auch das kann ich mir nicht erklaeren!!
>
> Hier nochmal der bisherige Text aus dem Thread *Capabilities Hochladen
> klappt nicht*:

Hallo Michael,


bitte beachten - die mapbender_setup.php liegt nun unter:

http://localhost/mapbender_2_2_0/tools/mapbender_setup.php

Sie ist im neusten Mapbender 2.2.1 Paket auch enthalten (Habe es gestern
nachmittag noochmal neu geschnürt) oder zu beziehen über:

http://cvs.sourceforge.net/viewcvs.py/mapbender/mapbender/http/tools/mapbender_setup.php?rev=1.3&view=log

Eigentlich klappt das hochladen eines WMS mit der 2.2.1 Version. Welche
PostgreSQl liegt vor? Wenn 7.3 - dann sollte die Datei
mapbender/resources/db/pgsql_serial_set_sequences_7x.sql zum Setzen der
Sequenzen genutzt werden.

Was sagt die Logdatei? Liegt unter /mapbender/log?

Schönen Gruß Astrid


-------------------------------------------------------
This SF.net email is sponsored by: Splunk Inc. Do you grep through log files
for problems?  Stop!  Download the new AJAX search engine that makes
searching your log files as easy as surfing the  web.  DOWNLOAD SPLUNK!
http://ads.osdn.com/?ad_id=7637&alloc_id=16865&op=click
_______________________________________________
Mapbender-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/mapbender-users
Reply | Threaded
Open this post in threaded view
|

Re: Hiiilfe weiss den keiner was zum GetCapabilities Problem

schramm.marcus
In reply to this post by Michael Pfeiffer-2
Hallo!
Bei mir klappt es jetzt mit den WMS hochladen dank des Mapbender 2.2.1
Pakets.

Vielen Dank
Marcus

----Ursprüngliche Nachricht----
Von: [hidden email]
Datum: Nov 25, 2005 8:07:30 AM
An: [hidden email]
Betreff: Re: [Mapbender-users] Hiiilfe weiss den keiner was zum GetCapabilities
Problem

Michael Pfeiffer schrieb:

> Hallo Mapbenders,
>
> jetzt versuch ichs nochmal mit einem auffaelligeren Subject vielleicht
> war das andere ja (Capabilities Hochladen klappt nicht) ja zu einfach.
>
> Ich komme in der unten beschriebenen Thematik einfach nicht weiter. Es
> klappt alles im Mapbender, d.h die Datenbank ist da!! Ich hab auch mal
> voller Hoffnung die neue Version heute versucht mit SQL (ohne
> irgendwelche Eintraege fuer Postgres), ich krieg die WMS einfach nicht
> hochgeladen und auch in die Datenbank wird nichts eingetragen.
>
> Gibts denn keinen der eine Loesung weiss oder wenigstens eine Vermutung
> hat???
>
> Interessant auch noch die Tatsache, dass wenn ich das Modul
> php_pgsql.php zuschalte (nur dann) und die mapbender_setup.php im
> Browser aufrufe die mapbender.conf ueberschrieben wird und nur noch
>
> <?php
> $login='http://localhost/mapbender_2_2_0/frames/login.php';
> ?>
>
> uebrigbleibt. Auch das kann ich mir nicht erklaeren!!
>
> Hier nochmal der bisherige Text aus dem Thread *Capabilities Hochladen
> klappt nicht*:

Hallo Michael,


bitte beachten - die mapbender_setup.php liegt nun unter:

http://localhost/mapbender_2_2_0/tools/mapbender_setup.php

Sie ist im neusten Mapbender 2.2.1 Paket auch enthalten (Habe es gestern
nachmittag noochmal neu geschnürt) oder zu beziehen über:

http://cvs.sourceforge.net/viewcvs.py/mapbender/mapbender/http/tools/mapbender_setup.php?
rev=1.3&view=log

Eigentlich klappt das hochladen eines WMS mit der 2.2.1 Version. Welche
PostgreSQl liegt vor? Wenn 7.3 - dann sollte die Datei
mapbender/resources/db/pgsql_serial_set_sequences_7x.sql zum Setzen der
Sequenzen genutzt werden.

Was sagt die Logdatei? Liegt unter /mapbender/log?

Schönen Gruß Astrid


-------------------------------------------------------
This SF.net email is sponsored by: Splunk Inc. Do you grep through log
files
for problems?  Stop!  Download the new AJAX search engine that makes
searching your log files as easy as surfing the  web.  DOWNLOAD SPLUNK!
http://ads.osdn.com/?ad_id=7637&alloc_id=16865&op=click
_______________________________________________
Mapbender-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/mapbender-users




-------------------------------------------------------
This SF.net email is sponsored by: Splunk Inc. Do you grep through log files
for problems?  Stop!  Download the new AJAX search engine that makes
searching your log files as easy as surfing the  web.  DOWNLOAD SPLUNK!
<a href="http://ads.osdn.com/?ad_idv37&alloc_id865&op=click">http://ads.osdn.com/?ad_idv37&alloc_id865&op=click
_______________________________________________
Mapbender-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/mapbender-users